#!/bin/bash
code=$1
lig=$2
chain=$3
echo "vmd output follows.... ";  echo "<br> "

# isolate selected chain (protein only)
awk -v c=$chain '{if(substr($0,22,1)==c && $1 ~ "^ATOM") print}' $code.pdb > chain.pdb

# execute the vmd script
echo "<pre>"
vmd -dispdev text -e psf.pgn  >& /dev/null
echo "</pre>"
# build sequence for gaps in selected chain
awk -v c=$chain  '{if($3==c && $6==c) {g1=$1; g2=$4; print "GAP " g1, g2}}' $code.OUT   > gaps

# get the full residue sequence 
grep -e ^SEQRES $code.pdb  | grep " $chain " | awk '{for(i=5; i<=NF; i++) {j++; print $i,j}}'    > seq.full

cat gaps seq.full | awk '{if($1=="GAP") { igap++; g1[igap]=$2; g2[igap]=$3} else {for(j=1; j<=igap; j++) { if($2>g1[j] && $2 <g2[j]) printf "-" $1; if($2==g2[j]) printf "\n"}}}' > gaps.res

# get the sequence(s) for generating gaps.
((j=0));
for i in `cat gaps.res` ; do
    echo "HHEERE" $i
    ((j=j+1));
    echo $i | tr [A-Z] [a-z] | sed "s/-/ /g" | awk '{for(i=1; i<=NF; i++) print $i}' > gap.$j ;
done

# build the PDB gaps using alltrans

for i in gap.* ; do
    nam=`echo $i | sed "s/gap\./G/g"` ;
    alltrans < $i > $nam.pdb ;
done
			     
